List customers
curl --request GET \
--url https://qa-api.endl.xyz/api/v0/customer \
--header 'API-KEY: <api-key>'import requests
url = "https://qa-api.endl.xyz/api/v0/customer"
headers = {"API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-KEY': '<api-key>'}};
fetch('https://qa-api.endl.xyz/api/v0/customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customers": [
{
"userId": "6c4ba9af-978a-45ff-953f-729c593f14af",
"userType": "INDIVIDUAL",
"status": "PENDING"
}
],
"page": 0,
"size": 20,
"totalElements": 42,
"totalPages": 3,
"hasNext": true,
"hasPrevious": false
}{
"code": "401",
"message": "Authentication Failed!",
"name": "PartnerOnboarding failed to process"
}{
"code": "403",
"message": "Onboarding is not permitted for this country",
"name": "PartnerOnboardingCreate failed to process"
}{
"data": null,
"code": 429,
"message": "Rate limit exceeded, please retry later",
"status": "Error",
"errors": [
{
"code": "429",
"message": "Rate limit exceeded, please retry later",
"field": "Rate limit exceeded, please retry later"
}
]
}List customers
Returns this partner’s customers, newest first. Deleted customers are excluded.
GET
/
api
/
v0
/
customer
List customers
Authorizations
Your partner API key. The key must carry the onboarding permission.
Query Parameters
Zero-based page index.
Page size, clamped to 1–100.
Required range:
1 <= x <= 100Optional active / inactive filter.
Available options:
active, inactive Response
A page of customers.